ZLIBSRC=[-.zlib]

cc_defs = /inc=$(ZLIBSRC)
c_deb = 

.ifdef __DECC__
pref = /prefix=all
.endif



OBJS = png.obj, pngset.obj, pngget.obj, pngrutil.obj, pngtrans.obj,\
	pngwutil.obj, pngread.obj, pngmem.obj, pngwrite.obj, pngrtran.obj,\
	pngwtran.obj, pngrio.obj, pngwio.obj, pngerror.obj, pngpread.obj


CFLAGS= $(C_DEB) $(CC_DEFS) $(PREF)/name=(as_is,short)/float=ieee

all : pngtest.exe libpng.olb
		@ write sys$output " pngtest available"

libpng.olb : libpng.olb($(OBJS))
	@ write sys$output " Libpng available"


pngtest.exe : pngtest.obj libpng.olb
              link pngtest,libpng.olb/lib,$(ZLIBSRC)libz.olb/lib

test : pngtest.exe
   run pngtest

clean :
	delete *.obj;*,*.exe;*


# Other dependencies.
png.obj : png.c png.h, pngconf.h pnglibconf.h
pngpread.obj : pngpread.c png.h, pngconf.h pnglibconf.h
pngset.obj : pngset.c png.h, pngconf.h pnglibconf.h
pngget.obj : pngget.c png.h, pngconf.h pnglibconf.h
pngread.obj : pngread.c png.h, pngconf.h pnglibconf.h
pngrtran.obj : pngrtran.c png.h, pngconf.h pnglibconf.h
pngrutil.obj : pngrutil.c png.h, pngconf.h pnglibconf.h
pngerror.obj : pngerror.c png.h, pngconf.h pnglibconf.h
pngmem.obj : pngmem.c png.h, pngconf.h pnglibconf.h
pngrio.obj : pngrio.c png.h, pngconf.h pnglibconf.h
pngwio.obj : pngwio.c png.h, pngconf.h pnglibconf.h
pngtest.obj : pngtest.c png.h, pngconf.h pnglibconf.h
pngtrans.obj : pngtrans.c png.h, pngconf.h pnglibconf.h
pngwrite.obj : pngwrite.c png.h, pngconf.h pnglibconf.h
pngwtran.obj : pngwtran.c png.h, pngconf.h pnglibconf.h
pngwutil.obj : pngwutil.c png.h, pngconf.h pnglibconf.h

pnglibconf.h : [.scripts]pnglibconf.h.prebuilt
	@ copy [.scripts]pnglibconf.h.prebuilt []pnglibconf.h
